Package io.vertx.ext.web.validation

## Class BadRequestException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - io.vertx.core.VertxException
        - - io.vertx.ext.web.validation.BadRequestException

- All Implemented Interfaces:
    `Serializable`
  Direct Known Subclasses:
    `BodyProcessorException`, `ParameterProcessorException`, `RequestPredicateException`

      public abstract class BadRequestException
      extends VertxException

  Represents an exception while processing a request with `ValidationHandler`. Possible failures could be:
  - `ParameterProcessorException`: Failure while processing the request parameter
  - `BodyProcessorException`: Failure while processing the request body
  - `RequestPredicateException`: A request predicate doesn't match
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BadRequestException​(String message, boolean customMessage, Throwable cause)` |
    `BadRequestException​(String message, Throwable cause)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `JsonObject` | `toJson()` | Returns a Json representation of the exception

    - ### Methods inherited from class io.vertx.core.VertxException

      `noStackTrace, noStackTrace, noStackTrace`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BadRequestException

          public BadRequestException​(String message,
                                     Throwable cause)

    - #### BadRequestException

          public BadRequestException​(String message,
                                     boolean customMessage,
                                     Throwable cause)

  - ### Method Detail

    - #### toJson

          public JsonObject toJson()

      Returns a Json representation of the exception
      Returns: